{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = HEURE_FERMETURE; 
            externalType = VARCHAR2; 
            name = heureFermeture; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = HEURE_OUVERTURE; 
            externalType = VARCHAR2; 
            name = heureOuverture; 
            valueClassName = NSString; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (cStructure, heureOuverture, heureFermeture); 
    className = EOGenericRecord; 
    classProperties = (cStructure, heureOuverture, heureFermeture, toStructure); 
    externalName = INFO_SERVICE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_clientClassPropertyNames = (cStructure, heureOuverture, heureFermeture); }; 
    name = InfoService; 
    primaryKeyAttributes = (cStructure); 
    relationships = (
        {
            destination = StructureUlr; 
            internalInfo = {_nameInObjectStore = structureUlr; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toStructure; 
        }
    ); 
}
